GroovyPagesUriSupport (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPagesUriSupport

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPagesUriSupport

All Implemented Interfaces:
  GroovyPagesUriService

    public class GroovyPagesUriSupport
    extends java.lang.Object

Methods to establish template names, paths and so on.

Authors:
  Graeme Rocher

Since:
  1.2

Field Summary
`static java.lang.String` | `PATH_TO_VIEWS`

Method Summary
`void` | `clear()`
`java.lang.String` | `getAbsoluteTemplateURI(java.lang.String templateName)` Used to resolve template names that are not relative to a controller.
`java.lang.String` | `getAbsoluteViewURI(java.lang.String viewName)` Obtains a view URI that is not relative to any given controller
`java.lang.String` | `getDeployedAbsoluteViewURI(java.lang.String viewName)` Obtains a view URI when deployed within the /WEB-INF/grails-app/views context
`java.lang.String` | `getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)` Obtains a view URI when deployed within the /WEB-INF/grails-app/views context
`java.lang.String` | `getLogicalControllerName(groovy.lang.GroovyObject controller)`
`java.lang.String` | `getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)` Obtains a view URI of the given controller and view name without the suffix
`java.lang.String` | `getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)` Obtains a view URI of the given controller name and view name without the suffix
`java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)` Obtains a template URI for the given controller instance and template name
`java.lang.String` | `getTemplateURI(java.lang.String controllerName, java.lang.String templateName)` Obtains the URI to a template using the controller name and template name
`java.lang.String` | `getViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)` Obtains a view URI of the given controller and view name
`java.lang.String` | `getViewURI(java.lang.String controllerName, java.lang.String viewName)` Obtains a view URI of the given controller name and view name

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### PATH_TO_VIEWS

    public static final java.lang.String PATH_TO_VIEWS

Method Detail

### clear

    public void clear()

### getAbsoluteTemplateURI

    public java.lang.String getAbsoluteTemplateURI(java.lang.String templateName)

  Used to resolve template names that are not relative to a controller.
  Parameters:
    `templateName` - The template name normally beginning with /
  Returns:
    The template URI

### getAbsoluteViewURI

    public java.lang.String getAbsoluteViewURI(java.lang.String viewName)

  Obtains a view URI that is not relative to any given controller
  Parameters:
    `viewName` - The name of the view
  Returns:
    The view URI

### getDeployedAbsoluteViewURI

    public java.lang.String getDeployedAbsoluteViewURI(java.lang.String viewName)

  Obtains a view URI when deployed within the /WEB-INF/grails-app/views context
  Parameters:
    `viewName` - The name of the view
  Returns:
    The view URI

### getDeployedViewURI

    public java.lang.String getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)

  Obtains a view URI when deployed within the /WEB-INF/grails-app/views context
  Parameters:
    `controllerName` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getLogicalControllerName

    public java.lang.String getLogicalControllerName(groovy.lang.GroovyObject controller)

### getNoSuffixViewURI

    public java.lang.String getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

  Obtains a view URI of the given controller and view name without the suffix
  Parameters:
    `controller` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getNoSuffixViewURI

    public java.lang.String getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)

  Obtains a view URI of the given controller name and view name without the suffix
  Parameters:
    `controllerName` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getTemplateURI

    public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)

  Obtains a template URI for the given controller instance and template name
  Parameters:
    `controller` - The controller instance
    `templateName` - The template name
  Returns:
    The template URI

### getTemplateURI

    public java.lang.String getTemplateURI(java.lang.String controllerName, java.lang.String templateName)

  Obtains the URI to a template using the controller name and template name
  Parameters:
    `controllerName` - The controller name
    `templateName` - The template name
  Returns:
    The template URI

### getViewURI

    public java.lang.String getViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

  Obtains a view URI of the given controller and view name
  Parameters:
    `controller` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getViewURI

    public java.lang.String getViewURI(java.lang.String controllerName, java.lang.String viewName)

  Obtains a view URI of the given controller name and view name
  Parameters:
    `controllerName` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

Groovy Documentation